Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 686618 - sys-apps/portage-2.3.66-r1: stablereq
Summary: sys-apps/portage-2.3.66-r1: stablereq
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 662982 683434
  Show dependency tree
 
Reported: 2019-05-23 18:36 UTC by Zac Medico
Modified: 2019-07-28 11:11 UTC (History)
0 users

See Also:
Package list:
sys-apps/portage-2.3.66-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2019-05-23 18:36:24 UTC
The release has fixes tracked by bug 683434, and no known regressions.

The most notable change is that the default /usr/portage location has changed to locations approved in the 20180729 council meeting (bug 378603):

>    Vote: Default locations for the Gentoo repository, distfiles, and
>    binary packages will be, respectively:
>       /var/db/repos/gentoo
>       /var/cache/distfiles
>       /var/cache/binpkgs
>    Accepted with 6 yes votes and 1 no vote.

For compability with existing gentoo installations that still use the old /usr/portage location, the ebuild automatically adjusts the defaults back to the old values so that no user intervention is needed. This will also apply to stages built by catalyst until catalyst is updated to use the new defaults (bug 684908).
Comment 1 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-24 14:54:16 UTC
amd64 stable
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2019-05-25 07:51:45 UTC
ia64 stable
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2019-05-25 08:00:51 UTC
ppc stable
Comment 4 Sergei Trofimovich (RETIRED) gentoo-dev 2019-05-25 08:05:14 UTC
ppc64 stable
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-25 08:17:06 UTC
s390 stable
Comment 6 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-05-25 16:58:37 UTC
arm64 stable
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2019-05-26 07:11:39 UTC
hppa stable
Comment 8 Rolf Eike Beer archtester 2019-05-26 17:40:23 UTC
sparc stable
Comment 9 Thomas Deutschmann gentoo-dev 2019-05-26 22:29:46 UTC
x86 stable
Comment 10 Agostino Sarubbo gentoo-dev 2019-06-06 06:47:57 UTC
alpha stable
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-07-28 11:10:39 UTC
arm stable
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-07-28 11:11:14 UTC
m68k stable
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-07-28 11:11:49 UTC
sh stable